comedi_data_read_hint
Prev | 5.4.1. Core Functions | Next

## Name

comedi_data_read_hint — tell driver which channel/range/aref you are going to read from next

## Synopsis

    #include <comedilib.h>

`int comedi_data_read_hint(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int channel,
| unsigned int range,
| unsigned int aref`)`;

## Description

Used to prepare an analog input for a subsequent call to `comedi_data_read`. It is not necessary to use this function, but it can be useful for eliminating inaccuracies caused by insufficient settling times when switching the channel or gain on an analog input. This function sets an analog input to the channel, range, and aref specified but does not perform an actual analog to digital conversion.

Alternatively, one can simply use `comedi_data_read_delayed`, which sets up the input, pauses to allow settling, then performs a conversion.

Prev | Up | Next
comedi_data_read_delayed | Home | comedi_data_write